# Interface RSAPublicKey

All Superinterfaces:
  `AsymmetricKey, BinaryEncodablePREVIEW, Key, PublicKey, RSAKey, Serializable`

public interface RSAPublicKey extends PublicKey, RSAKey
The interface to an RSA public key.

Since:
  1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`default AlgorithmParameterSpec`
`getParams()`
Returns the parameters associated with this key.
`BigInteger`
`getPublicExponent()`
Returns the public exponent.

### Methods declared in interface Key

`getAlgorithm, getEncoded, getFormat`
Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Returns the standard algorithm name for this key.
`byte[]`
`getEncoded()`
Returns the key in its primary encoding format, or `null` if this key does not support encoding.
`String`
`getFormat()`
Returns the name of the primary encoding format of this key, or `null` if this key does not support encoding.

### Methods declared in interface RSAKey

`getModulus`
Modifier and Type
Method
Description
`BigInteger`
`getModulus()`
Returns the modulus.

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

See Also:
  - Constant Field Values

## Method Details

### getPublicExponent

BigInteger getPublicExponent()
Returns the public exponent.

Returns:
  the public exponent

### getParams

default AlgorithmParameterSpec getParams()
Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.

Specified by:
  `getParams` in interface `AsymmetricKey`
Specified by:
  `getParams` in interface `RSAKey`
Implementation Requirements:
  The default implementation returns `null`.
Returns:
  the associated parameters, may be `null`
Since:
  11